<?php
include 'db.php'; // Assicurati che il file db.php sia nella stessa directory e includilo correttamente.

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['username'], $_POST['password'])) {
        $username = trim($_POST['username']);
        $password = trim($_POST['password']);

        if (!empty($username) && !empty($password)) {
            try {
                // Controlla se il nome utente esiste già
                $stmt = $pdo->prepare("SELECT COUNT(*) FROM users WHERE username = :username");
                $stmt->bindParam(':username', $username);
                $stmt->execute();
                $userExists = $stmt->fetchColumn();

                if ($userExists) {
                    echo "Nome utente già esistente. Scegli un altro nome utente.";
                } else {
                    // Crittografa la password
                    $hashedPassword = hash('sha256', $password);

                    // Inserisci il nuovo utente
                    $stmt = $pdo->prepare("INSERT INTO users (username, pass) VALUES (:username, :password)");
                    $stmt->bindParam(':username', $username);
                    $stmt->bindParam(':password', $hashedPassword);

                    if ($stmt->execute()) {
                        // Mostra il messaggio per 3 secondi prima del reindirizzamento
                        echo "<!DOCTYPE html>
                              <html lang='it'>
                              <head>
                                  <meta charset='UTF-8'>
                                  <meta http-equiv='refresh' content='3;url=login.php'>
                                  <title>Registrazione completata</title>
                                  <style>
                                      body {
                                          font-family: Arial, sans-serif;
                                          display: flex;
                                          justify-content: center;
                                          align-items: center;
                                          height: 100vh;
                                          margin: 0;
                                          background-color: #f4f4f9;
                                          color: #333;
                                      }
                                      .message {
                                          text-align: center;
                                          font-size: 1.5rem;
                                          font-weight: bold;
                                      }
                                  </style>
                              </head>
                              <body>
                                  <div class='message'>Utente creato! Reindirizzamento in corso...</div>
                              </body>
                              </html>";
                        exit; // Termina lo script per prevenire ulteriori output
                    } else {
                        echo "Errore durante la registrazione. Riprova.";
                    }
                }
            } catch (PDOException $e) {
                echo "Errore del server: " . $e->getMessage();
            }
        } else {
            echo "Compila tutti i campi.";
        }
    }
}
?>
